extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "tgheroes:vulture/vulture_comics1",
    "layer2": "tgheroes:vulture/vulture_comics2",
    "wings": "tgheroes:vulture/vulture_wings_com"
});

var utils = implement("fiskheroes:external/utils");

var wings;


function initEffects(renderer) {
    wings = renderer.createEffect("fiskheroes:wings").setYOffset(-1);
    wings.texture.set("wings");
    wings.anchor.set("body");


}

function render(entity, renderLayer, isFirstPersonArm) {
    if (renderLayer == "CHESTPLATE") {
        wings.unfold = entity.getInterpolatedData("fiskheroes:wing_animation_timer");
		wings.shieldUnfold = entity.getInterpolatedData("fiskheroes:shield_blocking_timer");
        wings.render();
	}


}
